 .animated-bg {
        min-height: 100vh;
        animation: colorChange 10s infinite alternate;
    }

    @keyframes colorChange {
        0% { background-color: #ff7f50; }
        25% { background-color: #ff1493; }
        50% { background-color: #1e90ff; }
        75% { background-color: #32cd32; }
        100% { background-color: #9932cc; }
    }

    .bg-red{
        background: red;
    }

    .nav-link i{
        font-size: 16px;
    }


    .switch {
  position: relative;
  display: inline-block;
  width: 46px;
  height: 24px;
}
.switch input { display: none; }
.slider {
  position: absolute;
  cursor: pointer;
  top: 0; left: 0; right: 0; bottom: 0;
  background-color: #ccc;
  transition: .4s;
  border-radius: 34px;
}
.slider:before {
  position: absolute;
  content: "";
  height: 18px; width: 18px;
  left: 4px; bottom: 3px;
  background-color: white;
  transition: .4s;
  border-radius: 50%;
}
input:checked + .slider {
  background-color: #28a745;
}
input:checked + .slider:before {
  transform: translateX(22px);
}






.image-frame2 {
    width: 200px;
    height: 200px;
    padding: 20px;
    border:2px dotted #dde0de;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #f0f0f0;
    position: relative;
    cursor: pointer;
}

.image-frame2 img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

.image-frame2 input[type="file"] {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

.photo-content{
    background: black;
}

.icon-img-bx img{
    width: 40px;
    height: 40px;
}

.new-arrivals-img-contnent i{
    
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    color: black;
}

.topupbtn{
  font-size: 11px;
  font-weight: 800;
  border:  solid 1px #000033;
  color: #000033;
  padding: 5px;
}

.topupbtn:hover{
  background:#000033;
  color: white;

}


  
  .tree-card {
        width: 100%;
        height: 100%;
        min-height: 600px;
        overflow-x: auto;
        overflow-y: auto;
        padding: 80px;
        background: #f9f9f9;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        border-radius: 12px;
    }

    .Treant {
        width: 100% !important;
    }

    .node-style {
        text-align: center;
        font-family: 'Segoe UI', sans-serif;
        color: #000033;
    }

       .node-style img {
        width: 70px;
        height: 70px;
        border-radius: 50%;
        object-fit: cover;
        margin-bottom: 8px;
    }

    .bold-node {
        font-size: 16px;
        color: #000033;
        padding: 0px;
        line-height: 0px;
        border-radius: 10px;
        box-shadow: 0 0 6px rgba(0, 0, 0, 0.15);
        width: 200px;
    }

       .bold-node span {
        display: block;
        font-weight: bold;
        margin-top: 0px;
    }

     .node-style .node:has(span:contains("Empty")) {
        font-size: 12px;
        color: #888;
    }

    .btn34{
      background: black;
      color: white;
      font-size: 12px;
      text-align: center;
      padding-left: 7px;
      padding-right: 7px;
      padding-top: 5px;
      padding-bottom: 5px;
      margin-top: 20px;
    }

    .btn34:hover{
      background: red;
    }

 